
Infrastructure - Task #4306

Story # 3755 (Closed): Structural changes to D1 APIs for 2.0 release

Query API in MN and CN

2014-03-07 18:12 - Robert Waltz

Status: Closed Start date: 2014-03-07

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

The Query API in MN is it's own interface while the CN has the API in its Read interface.  We should pick a location for both for

consistency.

History

#1 - 2014-03-07 18:27 - Matthew Jones

Maybe.  The query API is optional in the MN, but required in the CN.  So they could legitimately be in different places.  Or not.  But more importantly,

we need to figure out how to mark optional service interfaces that MNs have a choice in implementing at any given Tier level.  If they implement it,

then it needs to pass tests, but if they don't implement it, then they should still pass at that Tier level.

#2 - 2014-07-11 17:26 - Ben Leinfelder

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

MNQuery is not tied to any tier in our packaging structure. If it were in MNRead, then the implication would be that it is required for all tier 1 MNs,

which it is not. Having it in MNQuery allows MNs to choose to implement that interface or not.

#3 - 2014-10-01 16:51 - Robert Waltz

- Target version set to CCI-2.0.0
